読者です 読者をやめる 読者になる 読者になる

ATA1.7 動作しなかったので1.6入れました

Advanced Threat Analytics1.7ですが、いろいろ動かしてみたのですが、どう頑張っても動かせなかったので、1.6を入れて様子を見ることにしました。

が、一筋縄では動かせなかったので、手順を載せておきます。

まず一手目はhostsへの名前登録。
まぁブラウザ依存のシステムで証明書使ってるので、証明書エラーが出ないようにしておく必要があります。
ブラウザ周りなので、クライアント用意してあげればよいのですが、サーバーで動かす場合は注意です。

また、解決する名前ですが、1.7の場合はATACenterなのですが、1.6はATAConsoleとなるようです。(接続時の証明書のCNで確認しました。)

f:id:mohessu:20160918232526p:plain

次にmainApp.jsの修正を行いました。
Chrome限定ですが、アクセス時にtoLowerCase()がわるいといわれるので、取っ払いました。409行目、410行目の2か所です。
標準の場所は以下
C:\Program Files\Microsoft Advanced Threat Analytics\Center\Management\app\main

f:id:mohessu:20160918233327p:plain

こんな感じに修正です。

f:id:mohessu:20160918233817p:plain

これで準備完了、以下アドレスにアクセスすると画面が出ます。
https://ataconsole/configuration?tab=directoryServices

f:id:mohessu:20160918234036p:plain

これでコンソールにアクセスできます。

f:id:mohessu:20160918234249p:plain

明日はバージョンアップに挑戦!

音楽:オムレットワルツ